

agen_opc={}

agen_opc[1]={x=50,y=35,w=130,h=18}
agen_opc[2]={x=180,y=35,w=130,h=18}
agen_opc[3]={x=320,y=35,w=130,h=18}



function editar_contacto()
	if keyboard==1 then
		txt1=teclado(1,"Escribe el nombre",15,"")
		txt1=teclado(2,"Escribe el Número",15,"")
	else
		txt1=os.osk("Escribe el nombre","",15,1,0)
		txt2=os.osk("Escribe el Número","",15,1,1)
	end
	if txt1!="" and txt2!="" then
		ini.write("APP/agenda/tlf.txt","Nombre["..contacto.."]",txt1)
		ini.write("APP/agenda/tlf.txt","Tlfno["..contacto.."]",txt2)
		Nombre[contacto]="Nombre: "..ini.read("APP/agenda/tlf.txt","Nombre["..contacto.."]","")   
		Tlfno[contacto]="Teléfono: "..ini.read("APP/agenda/tlf.txt","Tlfno["..contacto.."]","")
	end
end

function borrar_contacto()
	ini.write("APP/agenda/tlf.txt","Nombre["..contacto.."]","Vacío")
	ini.write("APP/agenda/tlf.txt","Tlfno["..contacto.."]","0")
	Nombre[contacto]="Nombre: "..ini.read("APP/agenda/tlf.txt","Nombre["..contacto.."]","")   
	Tlfno[contacto]="Teléfono: "..ini.read("APP/agenda/tlf.txt","Tlfno["..contacto.."]","")
end

function buscar_contacto()
	if keyboard==1 then busqueda=teclado(1,"Escribe el nombre",15,"") else busqueda=os.osk("Escribe el nombre","",15,1,0) end
	for i=1,50 do
		if string.find(Nombre[i], busqueda)!= nil then contacto=i break end
	end
end

Nombre={}
Tlfno={}


function agenda()
liberar(20)
if #Nombre==0 then
screen.clear(negro)
screen.flip()
img_escritorio[fondo_escritorio]:blit(0,0)
screen.print(240,120,loading,1,blanco,sky,"center")
screen.flip()

opcion_contac=1
contacto=1

for i=1,50 do
Nombre[i]="Nombre: "..ini.read("APP/agenda/tlf.txt","Nombre["..i.."]","")        
Tlfno[i]="Teléfono: "..ini.read("APP/agenda/tlf.txt","Tlfno["..i.."]","")
end
end

while true do
controls.read()
img_escritorio[fondo_escritorio]:blend(0,0,200)
barra_cerrara:blit(0,0)

opcion_contac=0
for i=1,3 do
	if col(p,agen_opc[i]) then opcion_contac=i end
end

draw.rect(0,23,480,27,negro)

if opcion_contac==1 then 
	screen.print(50,35,"Editar Contacto",0.7,blanco,verde)
else
	screen.print(50,35,"Editar Contacto",0.7,blanco,azul)
end
if opcion_contac==2 then
	screen.print(180,35,"Borrar Contacto",0.7,blanco,verde)
else
	screen.print(180,35,"Borrar Contacto",0.7,blanco,azul)
end
if opcion_contac==3 then
	screen.print(320,35,"Buscar Contacto",0.7,blanco,verde)
else
	screen.print(320,35,"Buscar Contacto",0.7,blanco,azul)
end

if controls.press("cross") and not col(p,close) then 
	if opcion_contac==1 then editar_contacto() end
	if opcion_contac==2 then borrar_contacto() end
	if opcion_contac==3 then buscar_contacto() end
end

if controls.square() then
	cursor0:blit(p.x,p.y)
	if controls.press("down") and contacto<50 then contacto=contacto+1 end
	if controls.press("up") and contacto>1 then contacto=contacto-1 end
end

screen.print(20,60,Nombre[contacto],0.7,blanco,rojo)
screen.print(260,60,Tlfno[contacto],0.7,blanco,rojo)

if contacto<42 then
	for i=contacto+1,contacto+9 do
		screen.print(20,67+i*20-contacto*20,Nombre[i],0.7,blanco,negro)
		screen.print(260,67+i*20-contacto*20,Tlfno[i],0.7,blanco,negro)
	end
else
	if contacto!=50 then
		for i=contacto+1,#Nombre-contacto do
			screen.print(20,67+i*20-contacto*20,Nombre[i],0.7,blanco,negro)
			screen.print(260,67+i*20-contacto*20,Tlfno[i],0.7,blanco,negro)
		end
	end
end

if contacto>41 then contacto=41 end
if contacto<1 then contacto=1 end


if controls.start() then sistema("Agenda") end
if controls.press("cross") then
	if col(p,close) then
		sistema("Agenda",true)
	elseif col(p,saveclose) then
		sistema("Agenda")
	end
end

if not controls.square() then
	puntero()
end
screen.flip()

end
end
